org.eclipse.wst.jsdt.chromium

## Enum Script.Type

- java.lang.Object
- - java.lang.Enum<Script.Type>
  - - org.eclipse.wst.jsdt.chromium.Script.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Script.Type>

Enclosing interface:
  Script

    public static enum Script.Type
    extends java.lang.Enum<Script.Type>

Denotes a script type.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EXTENSION` A script supplied by an extension
`NATIVE` A native, internal JavaScript VM script
`NORMAL` A normal user script

### Method Summary

All Methods Static Methods Concrete Methods
`static Script.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Script.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NATIVE

    public static final Script.Type NATIVE

A native, internal JavaScript VM script

#### EXTENSION

    public static final Script.Type EXTENSION

A script supplied by an extension

#### NORMAL

    public static final Script.Type NORMAL

A normal user script

### Method Detail

#### values

    public static Script.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Script.Type c : Script.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Script.Type valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null